%define major 1
%define libname		%mklibname nih %{major}
%define libdbusname	%mklibname nih-dbus %{major}
%define develname	%mklibname nih -d
%define debugcflags	%nil
%define	debug_package	%nil

%define __noautoreq	'GLIBC_PRIVATE'

Name:		libnih
Version:	1.0.3
Release:	2
Summary:	Small, efficient and safe library of general purpose routines
URL:		https://launchpad.net/libnih
Source0:	https://launchpad.net/libnih/1.0/1.0.3/+download/%{name}-%{version}.tar.gz
Group:		System/Libraries
License:	GPLv2
Epoch:		1

BuildRequires:	dbus-devel
BuildRequires:	expat-devel

%description
libnih is a small library for C application development containing functions
that are not implemented elsewhere in the standard library set. libnih is
roughly equivalent to other C libraries such as glib, except that its focus
is on a small size and intended for applications that sit very low in the
software stack, especially outside of /usr.
It expressly does not reimplement functions that already exist in libraries
ordinarily shipped in /lib such libc6, and does not do foolish things like
invent arbitrary typedefs for perfectly good C types.

### ---------------------------------------------------------------------------------- ###

%package	utils
Summary:	D-Bus binding code generator
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description	utils
This package contains nih-dbus-tool utility.

### ---------------------------------------------------------------------------------- ###

%package -n	%{libname}
Summary:	Main libnih library
Group:		System/Libraries

%description -n %{libname}
Main libnih library.

### ---------------------------------------------------------------------------------- ###

%package -n	%{libdbusname}
Summary:	DBUS libnih library
Group:		System/Libraries

%description -n %{libdbusname}
DBUS libnih library.
y
### ---------------------------------------------------------------------------------- ###

%package -n	%{develname}
Summary:	Development files for libnih
Group:		Development/C
Requires:	%{libname}	= %{EVRD}
Requires:	%{libdbusname}	= %{EVRD}
Provides:	%{name}-devel	= %{EVRD}

%description -n %{develname}
Developement files for libnih.

### ---------------------------------------------------------------------------------- ###

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# These files are not required
rm -f %{buildroot}%{_libdir}/%{name}*.a

# Build process under x86_64 systems places *.pc files into
# /usr/lib/pkgconfig instead of /usr/lib64/pkgconfig
if [ ! -d %{buildroot}%{_libdir}/pkgconfig ]
then
	mv %{buildroot}/usr/lib/pkgconfig %{buildroot}%{_libdir}
fi

%files	utils
%doc README AUTHORS COPYING
%{_bindir}/nih-dbus-tool
%{_mandir}/man1/nih-dbus-tool.1.xz

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libdbusname}
%{_libdir}/%{name}-dbus.so.%{major}
%{_libdir}/%{name}-dbus.so.%{major}.*

%files -n %{develname}
%doc COPYING
%{_includedir}/%{name}.h
%{_includedir}/%{name}-dbus.h
%{_includedir}/nih/*.h
%{_includedir}/nih-dbus/*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-dbus.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-dbus.pc
%{_datadir}/aclocal/*

%changelog
